summaryrefslogtreecommitdiffstats
path: root/lib/parse-functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/parse-functions.sh')
-rwxr-xr-xlib/parse-functions.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/lib/parse-functions.sh b/lib/parse-functions.sh
index 84da75c5..b1a61c3d 100755
--- a/lib/parse-functions.sh
+++ b/lib/parse-functions.sh
@@ -59,6 +59,7 @@ parse_deploy_settings() {
##params: none
##usage: parse_inventory_file
parse_inventory_file() {
+ local output
if [ "$virtual" == "TRUE" ]; then inv_virt="--virtual"; fi
if [[ "$ha_enabled" == "True" ]]; then inv_ha="--ha"; fi
instackenv_output=$(python3 -B $LIB/python/apex_python_utils.py parse-inventory -f $INVENTORY_FILE $inv_virt $inv_ha)
@@ -69,5 +70,12 @@ cat > instackenv.json << EOF
$instackenv_output
EOF
EOI
+ if output=$(python3 -B $LIB/python/apex_python_utils.py parse-inventory -f $INVENTORY_FILE $inv_virt $inv_ha --export-bash); then
+ echo -e "${blue}${output}${reset}"
+ eval "$output"
+ else
+ echo -e "${red}ERROR: Failed to parse inventory bash settings file ${INVENTORY_FILE}${reset}"
+ exit 1
+ fi
}